> ## Documentation Index
> Fetch the complete documentation index at: https://docs.isometric.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Measurement Location

> Get a single measurement location in the Isometric system



## OpenAPI

````yaml get /measurement_locations/{id}
openapi: 3.1.0
info:
  description: >
    # Standards


    ## Versioning


    This API will be safely versioned using root path versioning, in the format
    `/v{major}`. For example, `/registry/v0/supplier`.


    ### Compatibility


    We won't make breaking changes to existing API services or endpoints for API
    versions higher than `v0`. If breaking changes are necessary, we'll release
    a new major version.

    We may deprecate APIs that have been replaced by a newer version. When doing
    so, we will expect

    integrated partners to manage a transition to new resources within the
    deprecation timeline of old ones.


    We will make the following sort of changes we do not consider to be
    breaking:


    - Adding new endpoints

    - Adding optional query parameters to API endpoints

    - Adding new properties to existing API responses

    - Reordering properties in existing API responses


    It is important that clients are built to be robust to these changes.


    ## Pagination


    Our API is based on the
    [Relay](https://relay.dev/docs/tutorial/connections-pagination/) pagination
    spec. Paginated endpoints

    will return a `PaginatedListResource` which contains:


    - `page_info` - Containing information regarding pagination cursors and the
    total number of entities.

    - `nodes` - Each node is a paginated entity.

    - `total_count` - The total size of the list across all pages.


    ### Pagination Parameters


    Paginated endpoints also accepted a standard set of query parameters:


    - `last` - An integer number of items to retrieve **before** the item
    represented by the cursor passed in the `before` parameter. Defaults to 10
    with a maximum value of 50.

    - `before` - An opaque cursor representing the first item in the previously
    requested page to select items ordered before it. Submit the previously
    requested page's `start_cursor` here when paginated backwards.

    - `first` - An integer number of items to retrieve **after** the item
    represented by the cursor passed in the `after` parameter. Defaults to 10
    with a maximum value of 50.

    - `after` - An opaque cursor representing the last item in the previously
    requested page to select items ordered after it. Submit the previously
    requested page's `end_cursor` here when paginated forwards.


    For example, querying `/registry/v0/beneficiaries` will return a
    `PaginatedListResource` of the first page of 10 items:


    ```json

    {
        "page_info": {
            "has_previous_page": false,
            "start_cursor": ...,
            "has_next_page": true,
            "end_cursor": "mpG5kcuoFBYtlH",
        },
        "nodes": [{
            "id": "org_12345iso678",
            "name": "My Org",
            ...
        }],
        "total_count": 100
    }

    ```


    Then querying `/registry/v0/beneficiaries?first=15&after=mpG5kcuoFBYtlH`
    will return a `PaginatedListResource` of the next 15 items.


    ## Dates


    Datetime fields in the APIs conform to the [ISO
    8601](https://en.wikipedia.org/wiki/ISO_8601) date and time format in UTC.
    For example: `2024-01-22T11:56:48.520641Z`.


    ## Country Codes


    Countries are identified in the APIs via [ISO 3166-1
    Alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) codes. For
    example: `GBR` and `USA`.

    # Authentication


    Most API requests will need to authenticate against the Isometric API in two
    ways simultaneously:


    - By passing a **client secret** in the `X-Client-Secret` header to identify
    the system integrating with the API.

    - By passing an **access token** in the `Authorization` header to
    authenticate as a specific organization, in order to gain access to its
    private data.


    ### Client Authentication


    Every API call to Isometric must include a **client secret** identifying the
    client application.


    This client secret is tied to a particular environment - sandbox or
    production.


    The client secret should be submitted on every API request via the
    `X-Client-Secret` header. For example `X-Client-Secret: uPrO...wxAh`.


    ### Organization Authentication


    In addition, a large number of API requests will require an **access token**
    in order for the caller to identify themselves and act as a specific
    Organization.


    To authenticate as an Organization you will need to submit a JWT bearer
    access token via the `Authorization` header. For example: `Authorization:
    Bearer eyJh...sw5c`.

    If you are going to be acting on behalf of other Organizations, they will
    need to generate the access token and pass it securely to you.

    Access tokens should be treated as highly sensitive, kept secret and stored
    accordingly.


    Access tokens are scoped to a single Organization - so if you are acting on
    behalf of multiple particular organizations, you will need to submit the
    appropriate access token on each request.


    ### Managing Credentials


    Credentials can be managed through Certify UI in the [Team
    settings](https://registry.isometric.com/account/team-settings) section.
    Access tokens will expire after 1 year from generation. When you are
    approaching expiry, a new token will need to be generated.


    Both client secrets and access tokens can be created and invalidated through
    UI.

    Client secrets do not expire and do not need to be rotated.

    If either secret becomes compromised, it should be invalidated through the
    UI.

    # Key Certify Concepts


    This page defines concepts used in Certify, and the [Certify
    API](/api-reference/certify/certify-introduction), which are helpful to
    understand when submitting information for verification via Certify. For a
    broader understanding of Isometric's verification processes on the Isometric
    Registry, please refer to the [Isometric
    Standard](https://isometric.com/standard).


    ## Resource visibility


    - Until resources are submitted as part of a GHG statement, they are visible
    only to members of your organization.

    - After statement submission, they are visible to the verifier assigned to
    the GHG statement.

    - Once credits have been issued, GHG entries are added to the [public
    registry](https://registry.isometric.com), and associated resources are
    visible publicly, with the exception of source documents.

    - Sources uploaded in the Certify platform are kept private by default once
    published on the Isometric registry (file names will be displayed). Contact
    Isometric to update public source visibility. Sources [added via the
    API](/api-reference/certify/post-source) can be set `public` on submission.


    ## Resources


    The main resources used in Certify are sources, datapoints, components and
    GHG entries.


    ### Sources


    - Sources represent a piece of evidence for a particular datapoint used in
    carbon accounting calculations.

    - Source documents are private, and only shared with the verifier assigned
    to a related GHG entry.

    - Other information associated with a source, such as its display name, is
    visible publicly once the GHG entry is on the public registry.

    - Verifiers are not notified when new sources are added to datapoints in a
    submitted GHG entry, but they will immediately have access to the source
    documentation. Please notify the Isometric Registry Operations team when
    sources are added on a verifier's request so that we can ensure that the
    verifier is aware.


    ### Datapoints


    - Datapoints represent any value used in carbon accounting calculations.

    - When creating datapoints, sources should be referenced to provide evidence
    for the value used.

    - A standard deviation should be provided if the datapoint is to be included
    in the variance propagation method of uncertainty analysis.

    - All datapoints are considered statistically independent for the purpose of
    variance propagation, although if a datapoint is used twice within a GHG
    entry calculation, this dependence is captured.


    ### Components


    - Components represent physical activities whose CO₂e flux needs to be
    accounted for.

    - Components are created from [component
    blueprints](/user-guides/certify/component-blueprint-library) that contain
    sets of equations used to calculate a transfer of CO₂e into or out of the
    atmosphere.

    - A blueprint defines a set of inputs that are the datapoints to be used in
    the calculation. For instance, a transport emissions blueprints would ask
    for datapoints representing a distance, mass and carbon intensity.

    - When creating a component from a blueprint, the blueprint must be
    specified, as well as a list of datapoints for the expected blueprint
    inputs. Learn more about components in [Identifying
    Components](/user-guides/certify/identifying-components).


    ### GHG entries


    - GHG entries represent a series of activities that result in CO₂e being
    removed from the atmosphere or reduced relative to a baseline.

    - The carbon accounting of a GHG entry typically contains sequestrations,
    counterfactuals and activities (emissions).

    - GHG entries are structured using a template, [defined in your
    LCA](/user-guides/certify/lca).

    - Templates are divided into component groups. For instance, a biochar
    template may contain a `Feedstock sourcing` group.

    - Groups can contain multiple components.

    - Components can also be partially attributed to GHG entries, if the
    activity the component represents contributed to multiple GHG entries.

    - The final uncertainty discounting is done on the GHG entry level - the API
    will return the CO₂e removed with and without discounting.

    - See the [Create a GHG entry](/user-guides/certify/ghg-entry) guide for
    more details.


    ### Feedstock types


    - Many carbon removal methods involve a feedstock, for instance biomass
    feedstock in BiCRS or silicate rock in enhanced weathering.

    - Feedstock types are used to describe the feedstock used in a GHG entry.

    - When creating a GHG entry, a feedstock type can be optionally specified so
    that Isometric and verifiers can see which GHG entries use which feedstocks.

    - This is important if different feedstocks are used in a single GHG
    statement.

    - See the [Add feedstock](/user-guides/certify/add-feedstock) guide for more
    details.
  title: Isometric Certify Data Ingestion API
  version: v0
servers:
  - description: Sandbox Isometric MRV API
    url: https://api.sandbox.isometric.com/mrv/v0
  - description: Production Isometric MRV API
    url: https://api.isometric.com/mrv/v0
security: []
paths:
  /measurement_locations/{id}:
    get:
      summary: Get Measurement Location
      description: Get a single measurement location in the Isometric system
      operationId: get_measurement_location_measurement_locations__id__get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/IsometricIDPathParam_MeasurementLocation_'
        - description: A secret token identifying the client connecting to the API
          in: header
          name: x-client-secret
          required: true
          schema:
            description: A secret token identifying the client connecting to the API
            examples:
              - Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP
            title: Client secret
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeasurementLocation'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    IsometricIDPathParam_MeasurementLocation_:
      $ref: '#/components/schemas/IsometricIDRequestParam_MeasurementLocation_'
    MeasurementLocation:
      properties:
        id:
          example: mlc_1CCZASA6Q1S0V8T4
          examples:
            - mlc_1CCZASA6Q1S0V8T4
            - mlc_1GF73PG90SBXKEX1
          maxLength: 37
          minLength: 20
          title: Id
          type: string
        latitude:
          maximum: 90
          minimum: -90
          title: Latitude
          type: number
        longitude:
          maximum: 180
          minimum: -180
          title: Longitude
          type: number
        supplier_reference_id:
          anyOf:
            - description: >-
                A string that must be unique for all resources created by a
                specific supplier. It can be used by a client to identify the
                correct objects in their system.
              maxLength: 200
              minLength: 1
              type: string
            - type: 'null'
          title: Supplier Reference Id
      required:
        - id
        - latitude
        - longitude
        - supplier_reference_id
      title: MeasurementLocation
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IsometricIDRequestParam_MeasurementLocation_:
      example: mlc_1CCZASA6Q1S0V8T4
      examples:
        - mlc_1CCZASA6Q1S0V8T4
        - mlc_1GF73PG90SBXKEX1
      maxLength: 37
      minLength: 20
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      bearerFormat: JWT
      description: >-
        A JWT Bearer token header for authentication and authorization, in the
        format `Authorization: Bearer <token>`
      scheme: bearer
      type: http

````